libcomps: /build/libcomps/src/libcomps-0.1.19/libcomps/src/comps_docpackage.h File Reference

libcomps ..

Loading...
Searching...
No Matches
Data Structures | Enumerations | Functions
comps_docpackage.h File Reference

COMPS_DocPackage header file. More...

`#include "comps_utils.h"`
`#include "comps_obj.h"`
`#include "comps_log.h"`
`#include "comps_validate.h"`
`#include "comps_default.h"`

Go to the source code of this file.

## Data Structures
struct | COMPS_DocGroupPackage

## Enumerations
enum | COMPS_PackageType

## Functions
COMPS_Object * | comps_docpackage_get_name (COMPS_DocGroupPackage *pkg)
void | comps_docpackage_set_name (COMPS_DocGroupPackage *pkg, char *name, char copy)
COMPS_Object * | comps_docpackage_get_requires (COMPS_DocGroupPackage *pkg)
void | comps_docpackage_set_requires (COMPS_DocGroupPackage *pkg, char *requires, char copy)
COMPS_Object * | comps_docpackage_get_type (COMPS_DocGroupPackage *pkg)
void | comps_docpackage_set_type (COMPS_DocGroupPackage *pkg, COMPS_PackageType type, bool unset)
void | comps_docpackage_set_type_i (COMPS_DocGroupPackage *pkg, int type, bool unset)
const char * | comps_docpackage_type_str (COMPS_PackageType type)
void | comps_docpackage_set_basearchonly (COMPS_DocGroupPackage *pkg, int basearchonly, bool unset)
COMPS_Object * | comps_docpackage_get_basearchonly (COMPS_DocGroupPackage *pkg)

## Detailed Description

COMPS_DocPackage header file.

## Enumeration Type Documentation

## ◆ COMPS_PackageType

enum COMPS_PackageType

COMPS_DocGroupPackage type

## Function Documentation

## ◆ comps_docpackage_get_basearchonly()

COMPS_Object * comps_docpackage_get_basearchonly | ( | COMPS_DocGroupPackage * | pkg | ) |

return package basearchonly attrinute

Parameters

  type | package type as COMPS_PackageType

Returns
  COMPS_Num basearchonly attribute

## ◆ comps_docpackage_get_name()

COMPS_Object * comps_docpackage_get_name | ( | COMPS_DocGroupPackage * | pkg | ) |

COMPS_DocGroupPackage name getter

Parameters

  pkg | COMPS_DocGroupPackage object

Returns
  COMPS_Str object typed as COMPS_Object representating package's name with incremented reference counter

## ◆ comps_docpackage_get_requires()

COMPS_Object * comps_docpackage_get_requires | ( | COMPS_DocGroupPackage * | pkg | ) |

COMPS_DocGroupPackage requires getter

Parameters

  pkg | COMPS_DocGroupPackage object

Returns
  COMPS_Str object typed as COMPS_Object representating package's requires attribute with incremented reference counter

## ◆ comps_docpackage_get_type()

COMPS_Object * comps_docpackage_get_type | ( | COMPS_DocGroupPackage * | pkg | ) |

COMPS_DocGroupPackage type getter

Parameters

  pkg | COMPS_DocGroupPackage object

Returns
  COMPS_Num object typed as COMPS_Object representating package's type as number with incremented reference counter

## ◆ comps_docpackage_set_basearchonly()

void comps_docpackage_set_basearchonly | ( | COMPS_DocGroupPackage * | pkg,
|  | int | basearchonly,
|  | bool | unset
| ) |  |

set package basearchonly attribute

Parameters

  type | package type as COMPS_PckageType
  basearchonly | basearchonly attribute

## ◆ comps_docpackage_set_name()

void comps_docpackage_set_name | ( | COMPS_DocGroupPackage * | pkg,
|  | char * | name,
|  | char | copy
| ) |  |

COMPS_DocGroupPackage name setter

Parameters

  pkg | COMPS_DocGroupPackage object
  name | new name of package
  copy | deprecated argument

Old name object's reference counter will be decremented

## ◆ comps_docpackage_set_requires()

void comps_docpackage_set_requires | ( | COMPS_DocGroupPackage * | pkg,
|  | char * | requires,
|  | char | copy
| ) |  |

COMPS_DocGroupPackage requires setter

Parameters

  pkg | COMPS_DocGroupPackage object
  requires | new requries attribute value
  copy | deprecated argument

Old requires object's reference counter will be decremented

## ◆ comps_docpackage_set_type()

void comps_docpackage_set_type | ( | COMPS_DocGroupPackage * | pkg,
|  | COMPS_PackageType | type,
|  | bool | unset
| ) |  |

COMPS_DocGroupPackage type setter

Parameters

  pkg | COMPS_DocGroupPackage object
  type | package type

old object with stored type will be decremented

## ◆ comps_docpackage_set_type_i()

void comps_docpackage_set_type_i | ( | COMPS_DocGroupPackage * | pkg,
|  | int | type,
|  | bool | unset
| ) |  |

COMPS_DocGroupPackage type setter same as comps_docpackage_set_type

Parameters

  pkg | COMPS_DocGroupPackage object
  type | package type as integer

## ◆ comps_docpackage_type_str()

const char * comps_docpackage_type_str | ( | COMPS_PackageType | type | ) |

return package type as string

Parameters

  type | package type as COMPS_PackageType

Returns
  string representation of type